From 42da5b61d38a3fd6578ef72d1a27b74e445c2912 Mon Sep 17 00:00:00 2001
From: Andrey Borodin <amborodin@acm.org>
Date: Wed, 25 Jun 2025 14:34:06 +0500
Subject: [PATCH] Make next multixact sleep timed

---
 src/backend/access/transam/multixact.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/access/transam/multixact.c b/src/backend/access/transam/multixact.c
index b7b47ef076a..66d98ae0587 100644
--- a/src/backend/access/transam/multixact.c
+++ b/src/backend/access/transam/multixact.c
@@ -1480,7 +1480,7 @@ retry:
 			LWLockRelease(lock);
 			CHECK_FOR_INTERRUPTS();
 
-			ConditionVariableSleep(&MultiXactState->nextoff_cv,
+			ConditionVariableTimedSleep(&MultiXactState->nextoff_cv, 1000,
 								   WAIT_EVENT_MULTIXACT_CREATION);
 			slept = true;
 			goto retry;
-- 
2.39.5 (Apple Git-154)

